# frozen_string_literal: true

require 'require_all'
require 'rspec'
require 'cli/ui'

require_relative './helpers/error'
require_relative './helpers/helpers_module'
require_relative './helpers/validation_module'

require_relative './bll/modules/error_module'
require_relative './bll/modules/rules_module'

require_relative './dal/modules/error_module'
require_relative './dal/modules/dal_module'

require_relative './bll/comands'
require_relative './bll/game_engine'
require_relative './bll/statistic'

require_relative 'version'
require_relative '../codebreaker'
